Bug 432929 - Lock file not deleted if daemon fails due to e.g. port being in use
Lock file not deleted if daemon fails due to e.g. port being in use
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity high
: ---
: ---
Assigned To: Kim van der Riet
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 04:05 EST by Gordon Sim
Modified: 2012-12-07 12:45 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-02-15 04:05:52 EST
Start rhmd in daemon mode when the port to be used is already in use. The user
is informed of the error, but on retrying with a new port the lock file still
exists.

Again this only happens when the bdbstore is loaded. The qpidd process seems to
still remain as well.
Comment 1 Carl Trieloff 2008-05-01 18:04:59 EDT
tested on BT4, works correctly now.
Comment 2 Mike Bonnet 2008-05-16 11:08:21 EDT
qpidc-0.2.656926-1.el5, qpidd-0.2.656926-1.el5, and rhm-0.2.2058-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.